#if !defined(AFX_CHOOSECOLOR_HPP__6377FDF3_30BF_11D1_98AC_00609736738F__INCLUDED_)
#define AFX_CHOOSECOLOR_HPP__6377FDF3_30BF_11D1_98AC_00609736738F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// choosecolor.hpp : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChooseColor dialog

class CChooseColor : public CDialog
{
// Construction
public:
	CChooseColor(CWnd* pParent = NULL);   // standard constructor
	void m_vSetColor(GLI_tdstColor *_p_stColor);
	void m_vSetCapturedColor(GLI_tdstColor *_p_stCapturedColor);
	void m_vGetColor(GLI_tdstColor *_p_stColor);

// Dialog Data
	//{{AFX_DATA(CChooseColor)
	enum { IDD = IDD_DIALOG_CHOOSECOLOR };
	CSliderCtrl	m_oSliderRed;
	CSliderCtrl	m_oSliderGreen;
	CSliderCtrl	m_oSliderBlue;
	CSliderCtrl	m_oSliderAlpha;
	UINT	m_uiRed;
	UINT	m_uiGreen;
	UINT	m_uiBlue;
	UINT	m_uiAlpha;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChooseColor)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CBitmap m_oColorBitmap;
	BOOL	m_bAutoFill;
	UINT	m_uiCapturedRed;
	UINT	m_uiCapturedGreen;
	UINT	m_uiCapturedBlue;
	UINT	m_uiCapturedAlpha;
	BOOL	m_bCapturedColor;


	// Generated message map functions
	//{{AFX_MSG(CChooseColor)
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnChangeEditRed();
	afx_msg void OnChangeEditGreen();
	afx_msg void OnChangeEditBlue();
	afx_msg void OnChangeEditAlpha();
	afx_msg void OnDestroy();
	afx_msg void OnTextureColor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//Mircea Dunka 12.11.98 - added captured color
BOOL fn_bEditColor(CWnd *_pParentWnd, GLI_tdstColor *_p_stColor, GLI_tdstColor *_p_stCapturedColor=NULL);
//end Mircea Dunka

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHOOSECOLOR_HPP__6377FDF3_30BF_11D1_98AC_00609736738F__INCLUDED_)
